Subject: [Ietf-calsify] Section 4.6.1 Event Component: DURATION when DTSTART is a DATE

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Sun Nov 5 14:26:35 2006

In section 4.6.1 Event Component of RFC 2445 it says:

 > The "VEVENT" is also the calendar component used to specify an
 > anniversary or daily reminder within a calendar. These events have a
 > DATE value type for the "DTSTART" property instead of the default
 > data type of DATE-TIME. If such a "VEVENT" has a "DTEND" property, it
 > MUST be specified as a DATE value also.

I believe the text should also specify the following with respect
to the DURATION property:

 > If such a "VEVENT" has a "DURATION" property, it MUST be specified
 > as a "dur-day" or "dur-week" values.

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Nov 6 06:45:27 2006

Hi Bernard,

>  > as a "dur-day" or "dur-week" values.

+1

-- 
Cyrus Daboo

---

From: reinhold at kainhofer.com (Reinhold Kainhofer)
Date: Mon Nov 6 07:01:00 2006

> >  > as a "dur-day" or "dur-week" values.

Completely agree, too.
The problem with rfc 2445 is inter alias that it only standardizes a syntax, 
but does not care about internal consistency of data. E.g. it was never 
explicitly forbidden to create an event with a DATE-TIME value for DTSTART 
and a DATE value for DTEND. Or an DATE value for DTSTART and a DATE-TIME 
value of RDATE (what should be the duration of that instance??) 

Looking at the archives, F. Dawson or M. Stenerson stated that it was 
understood that the types should match, but that the rfc never tried to 
enforce something like this. 

Cheers,
Reinhold
- -- 
- ------------------------------------------------------------------
Reinhold Kainhofer, Vienna University of Technology, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at/
 * K Desktop Environment, http://www.kde.org, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/